package application

import (
	"sirlab.de/go/knyt/applicationConfig"
	"sirlab.de/go/knyt/game"
	"sirlab.de/go/knyt/user"
	"time"
)

func NewApplication(config applicationConfig.ApplicationConfig) (*Application, error) {
	app := Application{
		config:      config,
		users:       make(map[string]*user.User),
		games:       make(map[string]*game.Game),
		playerATime: make(map[string]time.Time),
	}

	if err := app.loadUsers(); err != nil {
		return nil, err
	}
	if err := app.loadGames(); err != nil {
		return nil, err
	}

	go app.expireInactivePlayersThread()

	return &app, nil
}
