package game

import (
	"sirlab.de/go/knyt/engine"
	"sirlab.de/go/knyt/quote"
	"sync"
)

const (
	STATE_ANY       = "*"
	STATE_IDLE      = "idle"
	STATE_READY_SET = "ready-set"
	STATE_PLAY      = "play"
)

const (
	PHASE_NONE         = ""
	PHASE_SELECT_QUOTE = "select-quote"
)

type playerInfo struct {
	id        string
	name      string
	isPlaying bool
	isIdle    bool
}

type Round struct {
	quoteId string
	sources []string
}

type Game struct {
	mu      sync.Mutex
	id      string
	name    string
	players map[string]playerInfo
	eng     *engine.Engine
	state   string
	phase   string
	quotes  map[string]*quote.Quote
	round   Round
}

type GameJson struct {
	Name string `json:"name"`
}
