package syncdata

type PlayerInfo struct {
	Id     string `json:"id"`
	Name   string `json:"name"`
	IsIdle bool   `json:"isIdle"`
}

type RoundInfo struct {
	Quote   string   `json:"quote"`
	Sources []string `json:"sources"`
}

type GameInfo struct {
	GameId  string       `json:"id"`
	State   string       `json:"state"`
	Phase   string       `json:"phase"`
	Players []PlayerInfo `json:"players"`
	Round   *RoundInfo   `json:"round"`
}

type SyncData struct {
	VersionRef int      `json:"version"`
	GameInfo   GameInfo `json:"game"`
}
